Skip to main content
PUT
/
public
/
v1
/
custom-fields
/
{custom_field_id}
Update custom field
curl --request PUT \
  --url https://api.dualentry.com/public/v1/custom-fields/{custom_field_id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "applies_to": [
    {
      "is_active": true,
      "is_required": false
    }
  ],
  "description": "<string>",
  "helper_text": "<string>",
  "default_value": "<string>",
  "company_id": 123,
  "company_ids": [
    123
  ],
  "is_active": true,
  "options": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "name": "<string>",
  "is_active": true,
  "company_id": 123,
  "company_ids": [],
  "description": "<string>",
  "helper_text": "<string>",
  "applies_to": [],
  "default_value": "<string>",
  "options": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

custom_field_id
integer
required

Body

application/json
name
string
required
Required string length: 2 - 32
field_type
enum<string>
required
Available options:
text,
number,
currency,
date,
boolean,
single_select,
multi_select,
link,
paragraph
applies_to
AppliesToItemSchema · object[]
required
description
string | null
helper_text
string | null
default_value
company_id
integer | null

Single company id this custom field is scoped to (merged into company_ids). Omit for an org-wide field.

company_ids
integer[] | null

List of company ids this custom field is scoped to. Omit for an org-wide field.

is_active
boolean
default:true
options
string[] | null

Allowed values for single_select / multi_select fields

Response

OK

id
integer
required
name
string
required
field_type
enum<string>
required
Available options:
text,
number,
currency,
date,
boolean,
single_select,
multi_select,
link,
paragraph
is_active
boolean
required
company_id
integer | null
company_ids
integer[]
description
string | null
helper_text
string | null
applies_to
AppliesToItemSchema · object[]
default_value
options
string[] | null
Last modified on May 28, 2026